GZEXE(1)

NAME
gzexe - create auto-decompressing executables

SYNOPSIS
gzexe [-d] file ...

DESCRIPTION
The gzexe utility uses gzip(1) to compress executables, producing executables that decompress on-the-fly when executed. This saves disk space, at the cost of slower execution times. The original executables are saved by copying each of them to a file with the same name with a ‘~’ suffix appended. After verifying that the compressed executables work as expected, the backup files can be removed.

The options are as follows:

-d  Decompress executables previously compressed by gzexe.

The gzexe program refuses to compress non-regular or non-executable files, files with a setuid or setgid bit set, files that are already compressed using gzexe, files in /bin or /sbin, or programs it needs to perform on-the-fly decompression: sh(1), basename(1), mktemp(1), rm(1), echo(1), tail(1), gzip(1), and chmod(1).

SEE ALSO
compress(1), gzip(1)

CAVEATS
The gzexe utility replaces files by overwriting them with the generated compressed executable. To be able to do this, it is required that the original files are writable.